
// Desktop view
@media (min-width: 576px) {
  .login{
    width: 440px;
    height: 500px;
    padding:100px 40px 40px 40px;
    &_title{
      margin-bottom: 60px;
      font-size:16px;
    }
    &_fields{
      height: 228px;
      .icon{
        left: 36px;
        top: 8px;
      }
      input {
        font-size: 14px;
        padding:10px 50px;
      }
      input[type='text'],input[type='password']{
        padding: 10px 65px;
        border-top: 2px solid rgb(57, 61, 82);
        border-bottom: 2px solid rgb(57, 61, 82);
      }
      &__submit{
        position: relative;
        top: 35px;
        left: 0;
        width: 80%;
        right: 0;
        margin: auto;
        .sign-up{
          float: right;
          font-size: 14px;
          margin-top: 11px;
        }
      }
    }

  }
  p{
    font-size:12px;
  }

  .incorrect-credentials {
    position: absolute;
    top: 135px;
  }
}

// Mobile View
@media (max-width: 576px) {
  .login{
    width: 240px;
    height: 400px;
    padding: 35px 20px 20px 20px;
    &_title{
      margin-bottom: 50px;
      font-size:15px;
    }
    &_fields{
      height: 128px;
      .icon {
        left: 10px;
        top: 7px;
        font-size: 8px;
      }
      input {
        font-size: 9px;
        line-height: 20px;
        padding:5px 30px;
      }
      input[type='text'],input[type='password']{
        padding: 5px 30px;
        border-top: 0.5px solid rgb(57, 61, 82);
        border-bottom: 0.5px solid rgb(57, 61, 82);
      }
      &__submit{
        display: block;
        margin-top: 30px;
        input {
          display:block;
          width: 100%;
        }
        .sign-up{
          text-align: center;
          font-size: 10px;
          margin-top: 16px;
        }
      }
    }
    .disclaimer {
      margin-top:100px;
    }
  }
  p{
    font-size:8px;
  }
  .incorrect-credentials {
    font-size: 10px;
    margin-top: 20px;
    display: block;
  }
}


// General css
.login{
  opacity:0.9;
  .disclaimer{
    font-family: 'Gudea', sans-serif;
    width: 100%;
    text-align: center;
  }

  position: absolute;
  background: #35394a; /* Old browsers */
  background: -moz-linear-gradient(45deg,  #35394a 0%, #1f222e 100%); /* FF3.6+ */
  background: -webkit-gradient(linear, left bottom, right top, color-stop(0%,#35394a), color-stop(100%,#1f222e)); /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(45deg,  #35394a 0%,#1f222e 100%); /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(45deg,  #35394a 0%,#1f222e 100%); /* Opera 11.10+ */
  background: -ms-linear-gradient(45deg,  #35394a 0%,#1f222e 100%); /* IE10+ */
  background: linear-gradient(45deg,  #35394a 0%,#1f222e 100%); /* W3C */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#35394a', endColorstr='#1f222e',GradientType=1 ); /* IE6-9 fallback on horizontal gradient */

  &_title{
    color:rgb(175, 177, 190);
    text-align:left;
  }
  &_fields{
    width: 100%;
    .icon{
      position: absolute;
      z-index: 1;
      opacity:.5;
    }
    input[type='password']{
      color:#DC6180 !important;
    }
    input[type='text'],input[type='password']{
      color: #afb1be;
      width: 100%;
      margin-top:-2px;
      background: rgb(50, 54, 74);
      border-right: none;
      border-left: none;
      outline: none;
      box-shadow: none;
      &.is-invalid {
        border: 1px solid #DC6180 !important;
        margin-bottom: 2px !important;
      }
    }
    &__user,&__password{
      position:relative;
    }
    &__submit{
      .sign-up{
        cursor: pointer;
        color: rgb(96, 100, 121);
        text-decoration: underline;
      }
      input{
        &:focus{
          box-shadow:none;
          outline:none;
        }
        border-radius:50px;
        background:transparent;
        border:2px solid #DC6180 ;
        color: #DC6180 ;
        text-transform:uppercase;
        &:hover{
          color:white;
          background:#DC6180 ;
          cursor:pointer;
        }
      }
    }
  }
}

p{
  color: #5B5E6F;
  text-align:left;
}

.incorrect-credentials {
  color: #EA5C54;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active  {
  box-shadow: 0 0 0 30px rgb(50, 54, 74) inset !important;
  -webkit-box-shadow: 0 0 0 30px rgb(50, 54, 74) inset !important;
}

input:-webkit-autofill {
  -webkit-text-fill-color: #afb1be !important;
}
